/**
 * Copyright (C) 2003-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package com.funambol.syncclient.spds.engine;


/**
 * It collects the possible states in which a <i>SyncItem</i> can be.
 *
 */
public class SyncItemState {
    /**
     * A new item
     */
    public static final char NEW           = 'N';
    /**
     * An updated item
     */
    public static final char UPDATED       = 'U';
    /**
     * A deleted item
     */
    public static final char DELETED       = 'D';
    /**
     * An unchanged item
     */
    public static final char SYNCHRONIZED  = 'S'; // already existing

    /**
     * State unknown
     */
    public static final char UNKNOWN       = ' ';

    /**
     * A not existing item
     */
    public static final char NOT_EXISTING  = 'X';
}